#pragma once

#include "Engine/EntitySystem/EntitySystemDefinitions.h"

class SpriteComponent;

class TargetHelperEntity : public Entity
{
public:

	virtual void Init() override;
	virtual void Update(float deltaSeconds) override;

	void SetOwnerEntity(Entity* pOwner);
	void SetOffset(float offset);

private:

	Entity* m_pOwner = nullptr;
	float m_offset = 0.f;
	SpriteComponent* m_pSpriteComponent = nullptr;

};